<div class="br-container-lg">
  <%= render partial: "admin_actions",
    locals: {mounted_admin_engine: current_participatory_space.mounted_admin_engine,
    current_participatory_space: current_participatory_space,
    current_component: current_component} %>
  <% if component_settings.geocoding_enabled? %>
    <%= dynamic_map_for proposals_data_for_map(@all_geocoded_proposals) do %>
      <template id="marker-popup">
        <div class="map-info__content">
          <h3>${title}</h3>
          <div id="bodyContent">
            <p>{{html body}}</p>
            <p class="proposal__card__category ${category ? '' : 'hidden'}">${category}</p>
            <div class="map__date-address">
              <div class="address card__extra">
                <i class="fas fa-map-marked-alt"></i>
                <div class="address__details">
                  <span>${address.split(",")[0]}, <b>${address.split(",")[1]}</b></span><br>
                </div>
              </div>
            </div>
            <div class="map-info__button">
              <a href="${link}" class="button button--sc">
                <%= t(".view_proposal", proposal_name:translated_attribute(current_component.singular_name)) %>
              </a>
              <a onclick="document.querySelector('.leaflet-popup-close-button').click()" class="br-button secondary black-and-white-btn">
                <%= t(".close_proposal") %>
              </a>
            </div>
          </div>
        </div>
      </template>
    <% end %>
  <% end %>
  <div class="proposals-announcement">
    <%= render partial: "decidim/shared/component_announcement" %>
  </div>
  <% if component_settings.statistics_enable? %>
    <div class="filter-container">
      <div class="proposals__buttons-container">
        <div class="proposals-button__container">
          <%= render partial: "statistics_small_view", locals: {statistics: @user_proposals_statistic}%>
        </div>
        <% if browser.mobile? %>
          <div class="proposals-button__container">
            <%= render partial: "filters_small_view" %>
          </div>
        <% end %>
      </div>
    </div>
  <% end %>
  <% voting_rules_button_text = t("decidim.proposals.proposals.voting_rules.help_button_text", proposal: translated_attribute(current_component.singular_name).present? ? 
                translated_attribute(current_component.singular_name).downcase : 
                "proposta"
                )%>
  <% if current_settings.creation_enabled && current_component.participatory_space.can_participate?(current_user) %>
    <div class="proposals-actions">
      <div class="br-magic-button medium">
        <% if user_full_profile_required? %>
          <% if user_survey_answered? %>
            <%= action_authorized_link_to :create, new_proposal_path,
                class: "title-action__action br-button primary", data: { "redirect_url" => new_proposal_path } do %>
              <i class="fa-solid fa-plus fa-sl mr-2"></i>
              <span class="title-action-text">
                <% if translated_attribute(current_component.singular_name).present? %>
                  <%= t("decidim.proposals.proposals.index.new_proposal", proposal: translated_attribute(current_component.singular_name).downcase) %>
                <% else %>
                  <%= t("decidim.proposals.proposals.index.new_proposal", proposal: "proposta") %>
                <% end %>
              </span>
            <% end %>
          <% end %>
        <% else %>
          <%= action_authorized_link_to :create, new_proposal_path,
              class: "br-button", data: { "redirect_url" => new_proposal_path } do %>
            <span class="create-proposal-text">
              <i class="fa-solid fa-plus fa-md"></i>
              <% if translated_attribute(current_component.singular_name).present? %>
                <%= t("decidim.proposals.proposals.index.new_proposal", proposal: translated_attribute(current_component.singular_name).downcase) %>
              <% else %>
                <%= t("decidim.proposals.proposals.index.new_proposal", proposal: "proposta") %>
              <% end %>
            </span>
          <% end %>
        <% end %>
      </div>
      <%= render partial: "voting_rules" , locals: { is_vote_rule: true, triangle_position: "center" ,help_button_text: voting_rules_button_text, inform_text_help: t("decidim.proposals.proposals.voting_rules.infom_text_help") } %>
    </div>
  <% else %>
    <div class="proposals-actions proposals-no-actions">
      <span class="proposal-disabled">
        O período para submissão de propostas não está aberto.
      </span>
      <%= render partial: "voting_rules" ,
        locals: { is_vote_rule: true, triangle_position: "flex-start" ,
        help_button_text: voting_rules_button_text,
        inform_text_help: t("decidim.proposals.proposals.voting_rules.infom_text_help") } %>
    </div>
  <% end %>
  <% if component_settings.collaborative_drafts_enabled? %>
    <%= link_to t(".collaborative_drafts_list"), collaborative_drafts_path, class: "title-action__action button small hollow ml-s" %>
  <% end %>
  <div id="export-span" class="br-message info-drop export-span-hollow" role="alert">
    <div class="br-message-container">
      <div class="message-icon-br"><i class="fas fa-check-circle fa-lg" aria-hidden="true"></i></div>
      <div class="content-br">
        <span class="message-title-br">
          A sua exportação está em curso. Receberá um e-mail quando estiver completa.
        </span>
      </div>
    </div>
    <button id="export-span-close" class="br-button circle small" type="button">
      <i class="fas fa-times" aria-hidden="true"></i>
    </button>
  </div>
  <span class="br-divider <% if browser.mobile? %>my-2<% else %>my-4<% end %>"></span>
  <div class="proposals-filters">
    <%= render partial: "decidim/components/filter", locals: { 
        show_filters: false,
        search_field: {
          placeholder: t("decidim.proposals.proposals.filters.placeholder", 
          name: translated_attribute(current_component.singular_name).present? ? 
                translated_attribute(current_component.singular_name).downcase : 
                "proposta"
          ),
          status: true
        },
        radio_collection: [
          {
            attribute: :activity, 
            collection: activity_filter_values, 
            legend: t("decidim.proposals.proposals.filters.activity"),
            status: current_user
          }
        ],
        check_boxes: [
          {
            attribute: :with_any_state, 
            collection: filter_proposals_state_values, 
            legend: t("decidim.proposals.proposals.filters.state"),
            aria_controls: "proposals",
            status: (
              component_settings.proposal_answering_enabled && 
              current_settings.proposal_answering_enabled
            )
          },
          {
            attribute: :with_any_category, 
            collection: filter_categories_values, 
            legend: t("decidim.proposals.proposals.filters.category"),
            aria_controls: "proposals",
            status: (current_component.categories.any?)
          }
        ],
        hidden_tag: {
          status: true,
          order: order
        },
        hidden_field: {
          status: true,
          value: "state_withdraw"
        }
      }
  %>
  </div>
  <div class="proposals-content-container">
    <div id="proposals" class="proposals-br" aria-live="polite">
      <%= render partial: "decidim/components/list", locals: {
        elements_name: current_component.manifest_name, 
        collection: @proposals
      } %>
    </div>
  </div>
</div>
